function checkBoxScript(evt,myLayer) { //checkBox for toggling layers an contextMenue
	var myLayerObj = document.getElementById(myLayer);
	var myCheckCrossObj = document.getElementById("checkCross"+myLayer);
	var myCheckCrossVisibility = myCheckCrossObj.getAttributeNS(null,"visibility");
	
	var myLegendRect=document.getElementById("rect_"+myLayer);
	
	
	
	if (evt.type == "click" && evt.detail == 1) {
		if (myCheckCrossVisibility == "visible") {
			if (myLayer=="Siedlungsflaechen"){
				document.getElementById("settlement").setAttributeNS(null,"visibility","hidden");
				document.getElementById("Cities").setAttributeNS(null,"visibility","hidden");
				
				}
			
			if (myLayer == "bahnen" || myLayer=="strassen") {
			
			 var Knoten=document.getElementById(myLayer+"_svg");
			 document.getElementById(myLayer).removeChild(Knoten);
			
			}else{
			myLayerObj.setAttributeNS(null,"visibility","hidden");
			}
			
			myCheckCrossObj.setAttributeNS(null,"visibility","hidden");
			myLegendRect.setAttributeNS(null,"visibility","visible");
			//you can do if/else or switch statements to set different actions on activating a checkbox here
			//myLayer holds the currentLayer name
		}
		else {
			if (myLayer=="Siedlungsflaechen"){
				document.getElementById("settlement").setAttributeNS(null,"visibility","visible");
				document.getElementById("Cities").setAttributeNS(null,"visibility","visible");
				
				}	
				
			if (myLayer == "bahnen" || myLayer=="strassen") {
			//Sets Loading Data visible
			document.getElementById("loading_data").setAttributeNS(null,"visibility","visible");	
			var urlMap=myLayer+".xml";
			//alert(urlMap);
			var svgLayer = new getXMLData(urlMap, parseTheme);
			svgLayer.getData();
			}else{
				myLayerObj.setAttributeNS(null,"visibility","visible");
				}
			
		
			myCheckCrossObj.setAttributeNS(null,"visibility","visible");
			myLegendRect.setAttributeNS(null,"visibility","hidden");
			
		}
	}
}

function parseTheme(obj) 
{
	var groupId = obj.getAttributeNS(null,"id");
	var currentThemeId = groupId.replace(/_svg/, "");
	var currentTheme = document.getElementById(currentThemeId);
	currentTheme.appendChild(obj);
	hideLoading();
}

function hideLoading()
{
	document.getElementById("loading_data").setAttributeNS(null,"visibility","hidden"); 
}
	
	
function showLegend(evt,theme)
{
	var myTheme= document.getElementById("rect_mouse_"+theme);
	if (evt.type=="mouseover")
	{
		myTheme.setAttributeNS(null,"stroke","rgb(255,0,0)");
		myTheme.setAttributeNS(null,"stroke-width","2");
	}
	if (evt.type=="mouseout")
	{
		myTheme.setAttributeNS(null,"stroke","#969696");
		myTheme.setAttributeNS(null,"stroke-width","1");	
	}	
}